## libodsstream 0.9.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

# CMake script for PAPPSOms++ library
# Authors: Olivier Langella & Filippo Rusconi
# Created: 03/03/2015
# Rework: April 2020 (Coronavirus confinement)

############################################################
############################################################
# Basic information about project

set(PROJECT odsstream)
project(${PROJECT} CXX C)

set(LIBODSSTREAM_VERSION_MAJOR "0")
set(LIBODSSTREAM_VERSION_MINOR "9")
set(LIBODSSTREAM_VERSION_PATCH "6")
set(LIBODSSTREAM_LIB_NAME "libodsstream")
set(LIBODSSTREAM_VERSION "${LIBODSSTREAM_VERSION_MAJOR}.${LIBODSSTREAM_VERSION_MINOR}.${LIBODSSTREAM_VERSION_PATCH}")
set(LIBODSSTREAM_LIB_VERSION ${LIBODSSTREAM_VERSION})
set(LIBODSSTREAM_LIB_SOVERSION ${LIBODSSTREAM_VERSION_MAJOR})

# Command to enable debug and tests
# cmake -DCMAKE_BUILD_TYPE=Debug  -DMAKE_TEST=1 -DUSEPAPPSOTREE=0 ..

include(GNUInstallDirs)

set(HOME_DEVEL_DIR $ENV{HOME}/devel)
message("\n${BoldRed}The devel directory where all the development projects
should reside: ${HOME_DEVEL_DIR}.${ColourReset}\n")

# Add folder where are supportive functions
set(CMAKE_UTILS_PATH ${CMAKE_SOURCE_DIR}/CMakeStuff)
set(CMAKE_TOOLCHAINS_PATH ${CMAKE_UTILS_PATH}/toolchains)
set(CMAKE_MODULE_PATH ${CMAKE_UTILS_PATH}/modules)
#message("CMAKE_MODULE_PATH:" ${CMAKE_MODULE_PATH})


# This include must come before all the others
# It must include the config-generated config.h file
# before the others.
#include_directories(${CMAKE_BINARY_DIR})

# And now the source directory contains the .h|.hpp files for its .cpp files.
#include_directories(${CMAKE_SOURCE_DIR})

set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Include the system's uname that fills in SYSTEM_UNAME_S.
# Sets WIN64 if SYSTEM_UNAME_S is "^.*MING64.*"
include(${CMAKE_UTILS_PATH}/systemUname.cmake)

# Include the various colors we want to use in the output
include(${CMAKE_UTILS_PATH}/outputColors.cmake)

set(CMAKE_COLOR_MAKEFILE ON)
set(CMAKE_VERBOSE_MAKEFILE ON)
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

message("\n${BoldRed}Configuring build for project ${PROJECT}${ColourReset}\n")

# This export will allow using the flags to be used by
# youcompleteme (vim plugin).
set(CMAKE_EXPORT_COMPILE_COMMANDS 1)

if(EXISTS "${CMAKE_CURRENT_BINARY_DIR}/compile_commands.json" )
  execute_process( COMMAND cmake -E copy_if_different
    ${CMAKE_CURRENT_BINARY_DIR}/compile_commands.json
    ${CMAKE_CURRENT_SOURCE_DIR}/compile_commands.json
  )
endif()


# We want C++17
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
message(STATUS "${BoldGreen}CMAKE_CXX_COMPILER: ${CMAKE_CXX_COMPILER}${ColourReset}")

#############################################################
# We do not want warnings for unknown pragmas:
message(STATUS "Setting definition -Wno-unknown-pragmas.${ColourReset}")
add_definitions(-Wno-unknown-pragmas)
# Enable warnings and possibly treat them as errors
message(STATUS "${BoldGreen}Setting definition -Wall.${ColourReset}")
add_definitions(-Wall)
message(STATUS "${BoldGreen}Setting definition -Wextra.${ColourReset}")
add_definitions(-Wextra)
#message(STATUS "${BoldGreen}Setting definition -pedantic.${ColourReset}")
#add_definitions(-pedantic)

if(WARN_AS_ERROR)
  message(STATUS "${BoldYellow}Setting definition -Werror.${ColourReset}")
  add_definitions(-Werror)
endif()

message(STATUS "${BoldRed}CMAKE_SOURCE_DIR: ${CMAKE_SOURCE_DIR}${ColourReset}")


#############################################################
#############################################################
# Platform-specific CMake configuration
if(MXE)

  # Run the following cmake command line:
  # x86_64-w64-mingw32.shared-cmake -DCMAKE_BUILD_TYPE=Release -DMXE=1 ../development
  #include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain.cmake)
  include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain-olivier.cmake)

  # Set the name to the systemUname variable because in this situation that name
  # is not found, it it passed as a flag in the command line.
  set(SYSTEM_UNAME_S "mxe")

elseif(UNIX AND NOT APPLE)

  # Run the following cmake command line:
  # cmake -DCMAKE_BUILD_TYPE=Debug

  include(${CMAKE_TOOLCHAINS_PATH}/unix-toolchain.cmake)

elseif(WIN32 OR _WIN32)

  # Run the following cmake command line:
  # cmake -DCMAKE_BUILD_TYPE=Release ../development

  include(${CMAKE_TOOLCHAINS_PATH}/win10-mingw64-toolchain.cmake)

elseif(APPLE)

  # Run the following cmake command line:
  # cmake -DCMAKE_BUILD_TYPE=Release ../development

  include(${CMAKE_TOOLCHAINS_PATH}/apple-macport-toolchain.cmake)

endif()

message("")
message(STATUS "${BoldGreen}Starting configuration of ${PROJECT}${ColourReset}")
message("")
message(STATUS "${BoldYellow}The build toolchain is: ${SYSTEM_UNAME_S}${ColourReset}")
message("")


#############################################################
#############################################################
# Essential software configuration
message(STATUS "CMAKE_CURRENT_BINARY_DIR: " ${CMAKE_CURRENT_BINARY_DIR})

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release CACHE STRING
    "Type of build, options are: None, Debug, Release, RelWithDebInfo, MinSizeRel."
    FORCE)
endif(NOT CMAKE_BUILD_TYPE)

if(CMAKE_BUILD_TYPE MATCHES "Release")
  message(STATUS "Compiling in release mode.")
  add_definitions("-DQT_NO_DEBUG_OUTPUT")
endif()

if(CMAKE_BUILD_TYPE MATCHES "Debug")
  message(STATUS "Compiling in debug mode with MAKE_TEST: ${MAKE_TEST}.")
  message(STATUS "Add definition -ggdb3 to format debug output for GDB.")
  add_definitions(-ggdb3)
endif()

if(CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo")
  message(STATUS "Compiling in release with debug info mode.")
endif(CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo")

message(STATUS "${BoldYellow}CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}.${ColourReset}")



set(CPACK_CMAKE_GENERATOR "Unix Makefiles")
set(CPACK_GENERATOR "STGZ;TGZ;TZ")
set(CPACK_OUTPUT_CONFIG_FILE "./CPackConfig.cmake")
#set(CPACK_PACKAGE_DESCRIPTION_FILE ${LIBODSSTREAM_SOURCE_DIR}/COPYING)
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "library to read and write ODS files using streams")
set(CPACK_PACKAGE_EXECUTABLES "libodsstream")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "libodsstream-${LIBODSSTREAM_VERSION}")
set(CPACK_SYSTEM_NAME "Linux-i686")
set(CPACK_PACKAGE_FILE_NAME "libodsstream-${LIBODSSTREAM_VERSION}-${CPACK_SYSTEM_NAME}")
set(CPACK_PACKAGE_INSTALL_DIRECTORY "libodsstream ${LIBODSSTREAM_VERSION}")
set(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "libodsstream ${LIBODSSTREAM_VERSION}")
set(CPACK_PACKAGE_NAME "libodsstream")
set(CPACK_PACKAGE_VENDOR "PAPPSO")
set(CPACK_PACKAGE_VERSION ${LIBODSSTREAM_VERSION})
set(CPACK_RESOURCE_FILE_LICENSE ${CMAKE_SOURCE_DIR}/debian/copyright)
set(CPACK_RESOURCE_FILE_README ${CMAKE_SOURCE_DIR}/README)
set(CPACK_RESOURCE_FILE_WELCOME ${CMAKE_SOURCE_DIR}/README)
set(CPACK_SOURCE_GENERATOR "TGZ;TZ")
set(CPACK_SOURCE_OUTPUT_CONFIG_FILE "./CPackSourceConfig.cmake")
set(CPACK_SOURCE_STRIP_FILES "")
set(CPACK_SYSTEM_NAME "Linux-i686")
set(CPACK_TOPLEVEL_TAG "Linux-i686")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "libodsstream-${LIBODSSTREAM_VERSION}")


set(CPACK_SOURCE_IGNORE_FILES 
  ".cache"
  ".*\\\.swp"
  ".*\\\.swo"
  ".*\\\\.tar\\\\.gz"
  "moc_.*cxx"
  "\\\\.#.*"
  ".*\\\\.aux"
  ".*\\\\.bbl"
  ".*\\\\.blg"
  ".*\\\\.log"
  ".*\\\\.out"
  ".*\\\\.toc"
  "/devel_archives/"
  "/doc\\\\/html/"
  "/doc\\\\/latex/"
  "install_manifest.txt"
  "CMakeCache.txt"
  "CPackConfig.cmake"
  "CPackSourceConfig.cmake"
  "/CMakeFiles/"
  "/_CPack_Packages/"
  "/Debug/"
  "/Release/"
  "/tests/"
  "/\\\\.externalToolBuilders/"
  "/.git/"
  "/\\\\.kdev4/"
  "/\\\\.settings/"
  ".gitignore"
  "\\\\.cdtbuild"
  "\\\\.cdtproject"
  "\\\\.project"
  "\\\\.cproject"
  "/win32/"
  "/win64/"
  "/build/"
  "/buildwin64/"
  "/cbuild/"
  "/wbuild/"
  "/bin/"
  "/buildmingw/"
  "test\\\\.ods"
  "buildwin32.cmd"
  "libodsstream.so"
  "OpenDocument-v1.0-os.pdf"
)
# to create a TGZ archive of the  source code type shell command
# cpack -G TGZ --config CPackSourceConfig.cmake 

# dpkg-buildpackage -rfakeroot -k7BEF3B25

#.dput.cf
#[olivier-langella]
#fqdn = ppa.launchpad.net
#method = ftp
#incoming = ~olivier-langella/ubuntu/
#login = olivier-langella
#allow_unsigned_uploads = 0
#
#  debuild -S -sa
# dput -f olivier-langella *changes


#dch -Dstretch "message"
#cmake ..
#make deb
# scp libodsstream* proteus:/var/www/apt/incoming
# scp ods2tsv* proteus:/var/www/apt/incoming
# reprepro -Vb /var/www/apt processincoming default


#dpkg-deb -x libodsstream-qt4_0.3.0-3_amd64.deb libodsstream-qt4_0.3.0-3
#dpkg-gensymbols -v0 -plibodsstream-qt4 -Plibodsstream-qt4_0.3.0-3 -Osymbols
#cp symbols ../debian/libodsstream-qt4.symbols
#dpkg-deb -x libodsstream-qt5_0.3.0-3_amd64.deb libodsstream-qt5_0.3.0-3
#dpkg-gensymbols -v0 -plibodsstream-qt5 -Plibodsstream-qt5_0.3.0-3 -Osymbols
#cp symbols ../debian/libodsstream-qt5.symbols

#MESSAGE("configuring file ${LIBODSSTREAM_SOURCE_DIR}/src/config.h.cmake")

#configure_file (${LIBODSSTREAM_SOURCE_DIR}/src/config.h.cmake ${LIBODSSTREAM_SOURCE_DIR}/src/config.h)



set(CPACK_PACKAGE_EXECUTABLES "libodsstream" "libodsstream")


# for debian package :
set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Olivier Langella <olivier.langella@u-psud.fr>")
set(DEBIAN_PACKAGE_BUILDS_DEPENDS "Olivier Langella <olivier.langella@u-psud.fr>")


include(CPack)

add_subdirectory (src)

add_subdirectory (doc)

add_custom_target(targz
  cpack -G TGZ --config CPackSourceConfig.cmake && tar xvfz libodsstream-${LIBODSSTREAM_VERSION}.tar.gz
  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
  COMMENT "Creating .tar.gz" VERBATIM
)


add_custom_target(deb
  ln -s libodsstream-${LIBODSSTREAM_VERSION}.tar.gz libodsstream_${LIBODSSTREAM_VERSION}.orig.tar.gz && cd libodsstream-${LIBODSSTREAM_VERSION} && dpkg-buildpackage -sa
  DEPENDS targz
  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
  COMMENT "Creating Debian package" VERBATIM
)

add_custom_target(lintian
  lintian -IEi --pedantic ${changesdeb}
  DEPENDS deb
  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
  COMMENT "lintian check" VERBATIM
)

if(MAKE_TEST)
  enable_testing()
  include(CTest)
  if(BUILD_TESTING)
    add_subdirectory(test)
  endif(BUILD_TESTING)
endif(MAKE_TEST)


message(STATUS CMAKE_MODULE_PATH: ${CMAKE_MODULE_PATH})

# Install cmake module
install(FILES ${CMAKE_UTILS_PATH}/modules/FindOdsStream.cmake DESTINATION lib${LIB_SUFFIX}/cmake/odsstream)
# Install cmake config

# Older version
#configure_file (${CMAKE_UTILS_PATH}/modules/OdsStreamConfig.cmake.in ${CMAKE_SOURCE_DIR}/OdsStreamConfig.cmake)
#install(FILES ${CMAKE_SOURCE_DIR}/OdsStreamConfig.cmake DESTINATION lib${LIB_SUFFIX}/cmake/odsstream)

# More modern CMake version

install(EXPORT OdsStreamTargets
  FILE OdsStreamTargets.cmake
  NAMESPACE OdsStream::
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/odsstream)

include(CMakePackageConfigHelpers)

configure_package_config_file(${CMAKE_SOURCE_DIR}/CMakeStuff/modules/OdsStreamConfig.cmake.in
  "${CMAKE_CURRENT_BINARY_DIR}/OdsStreamConfig.cmake"
  INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/odsstream)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/OdsStreamConfig.cmake"
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/odsstream)

=== doc/CMakeLists.txt ===
find_package(Doxygen)

if(DOXYGEN_FOUND)

    set(doxyfile_in ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in)
    set(doxyfile ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)

    configure_file(${doxyfile_in} ${doxyfile} @ONLY)

    add_custom_target(doc
        COMMAND ${DOXYGEN_EXECUTABLE} ${doxyfile}
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/src
        COMMENT "Generating API documentation with Doxygen"
        VERBATIM)

    install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html DESTINATION share/doc/libodsstream OPTIONAL )
endif(DOXYGEN_FOUND)

=== src/CMakeLists.txt ===
configure_file (${CMAKE_SOURCE_DIR}/src/odsstream/config.h.cmake ${CMAKE_SOURCE_DIR}/src/odsstream/config.h)


set(CPP_FILES 
  odsstream/reader/odscell.cpp
  odsstream/odsexception.h 
  odsstream/saxreader/qxmlstreamreadercontentxml.cpp
  odsstream/odsdocreader.cpp
  odsstream/writer/options/odscolorscale.cpp
  odsstream/writer/options/odstablecellstyle.cpp
  odsstream/writer/options/odstablecellstyleref.cpp
  odsstream/writer/options/odstablesettings.cpp
  odsstream/writer/structure/stylesxml.cpp
  odsstream/writer/structure/contentxml.cpp
  odsstream/writer/structure/metaxml.cpp
  odsstream/writer/structure/settingsxml.cpp
  odsstream/writer/structure/manifestxml.cpp
  odsstream/odsdocwriter.cpp
  odsstream/qtablewriter.cpp
  odsstream/tsvdirectorywriter.cpp
  odsstream/tsvoutputstream.cpp
  odsstream/tsvreader.cpp
  odsstream/ziptsvoutputstream.cpp
)



set(ODS2CSV_CPP_FILES 
  ods2csv.cpp
)

set(TSV2ODS_CPP_FILES 
  tsv2ods.cpp
)



configure_file (${CMAKE_SOURCE_DIR}/src/config.h.cmake ${CMAKE_SOURCE_DIR}/src/config.h)

message ("LIBODSSTREAM_LIB_SOVERSION: ${LIBODSSTREAM_LIB_SOVERSION}")

find_package(Qt6 COMPONENTS Gui Xml REQUIRED)

# Build the static lib
add_library(odsstream-static STATIC ${CPP_FILES})

set_target_properties(odsstream-static
  PROPERTIES OUTPUT_NAME odsstream
  CLEAN_DIRECT_OUTPUT 1
)

target_link_libraries(odsstream-static
  Qt6::Xml
  Qt6::Gui
  ZLIB::ZLIB
  QuaZip::QuaZip
)

# Build the shared lib
add_library(Core SHARED ${CPP_FILES})

set_target_properties(Core PROPERTIES
  OUTPUT_NAME odsstream
  VERSION ${LIBODSSTREAM_LIB_VERSION}
  SOVERSION ${LIBODSSTREAM_LIB_SOVERSION}
)


target_link_libraries(Core
  Qt6::Xml
  Qt6::Gui
  ZLIB::ZLIB
  QuaZip::QuaZip
)


# Install shared lib

install(TARGETS Core
  EXPORT OdsStreamTargets
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  # This one is for WIN32
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  INCLUDES DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/odsstream
)


#if (WIN32 OR _WIN32)
#install(TARGETS odsstream-shared RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
#else ()
#install(TARGETS odsstream-shared LIBRARY DESTINATION  ${CMAKE_INSTALL_LIBDIR})
#endif()

# Install static lib

install(TARGETS odsstream-static 
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

add_executable(ods2csv ${ODS2CSV_CPP_FILES})

target_include_directories (ods2csv PUBLIC
  "${CMAKE_SOURCE_DIR}/src"
)

set_target_properties(ods2csv
  PROPERTIES OUTPUT_NAME ods2tsv
  CLEAN_DIRECT_OUTPUT 1
)

target_link_libraries(ods2csv 
  Core
  Qt6::Core
  Qt6::Gui
  QuaZip::QuaZip
)

install(PROGRAMS ${CMAKE_BINARY_DIR}/src/ods2tsv DESTINATION bin)


add_executable(tsv2ods ${TSV2ODS_CPP_FILES})

target_include_directories (tsv2ods PUBLIC
  "${CMAKE_SOURCE_DIR}/src"
)

set_target_properties(tsv2ods
  PROPERTIES OUTPUT_NAME tsv2ods
  CLEAN_DIRECT_OUTPUT 1
)


target_link_libraries(tsv2ods 
  Core
  Qt6::Core
  Qt6::Gui
  QuaZip::QuaZip
)

install(PROGRAMS ${CMAKE_BINARY_DIR}/src/tsv2ods DESTINATION bin)


# Install headers
install(DIRECTORY odsstream/ DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/odsstream 
  FILES_MATCHING PATTERN "*.h"
  PATTERN "*.hpp")

=== test/CMakeLists.txt ===
# CMake script for PAPPSOms++ library # Author: Olivier Langella # Created: 03/03/2015 from the CMakeLists file of the Bio++ project #CTEST_OUTPUT_ON_FAILURE=TRUE make test
#make test ARGS="-V"

configure_file (config.h.cmake ${CMAKE_SOURCE_DIR}/test/config.h)


find_package(Qt6 COMPONENTS Core Xml Gui REQUIRED)

find_package(Catch2 REQUIRED)

include_directories(${QUAZIP_INCLUDE_DIR} "${CMAKE_SOURCE_DIR}/src")

add_executable(test_ods test_ods.cpp)
target_link_libraries(test_ods Catch2::Catch2 Catch2::Catch2WithMain Qt6::Core Qt6::Gui QuaZip::QuaZip Core)
add_test(test_ods "test_ods")


add_executable(test_tsv test_tsv.cpp)
target_link_libraries(test_tsv Catch2::Catch2 Catch2::Catch2WithMain Qt6::Core Qt6::Gui Core QuaZip::QuaZip)
add_test(test_tsv "test_tsv")


add_executable(test_zlib test_zlib.cpp)
target_link_libraries(test_zlib Qt6::Core Core QuaZip::QuaZip)
add_test(test_zlib "test_zlib")


if(UNIX)
	set_property(TEST test_ods test_tsv test_zlib ${TEST_LIST} PROPERTY ENVIRONMENT "LD_LIBRARY_PATH=$ENV{LD_LIBRARY_PATH}:../src")
endif()

if(WIN32 OR _WIN32)
	set(ENV{PATH} "$ENV{PATH};..\\src")
endif()

=== debian/changelog ===
libodsstream (0.9.6-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:08:58 +0000

libodsstream (0.9.6-1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:54:07 +0000

libodsstream (0.9.6-1) unstable; urgency=low

  * New upstream version fixing bug.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 04 Dec 2023 22:01:13 +0100

libodsstream (0.9.5-1~bookworm+1) bookworm; urgency=medium

  * fix a problem reading ods cell containing annotations

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 01 Dec 2023 15:16:09 +0100

libodsstream (0.9.4-2) unstable; urgency=low

  * Fix the hardening flags.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 24 Nov 2023 14:11:48 +0100

libodsstream (0.9.4-1) unstable; urgency=low

  * New version to fix some glitches introduced in the previous version.

 -- Filippo Rusconi <lopippo@debian.org>  Sat, 18 Nov 2023 19:19:53 +0100

libodsstream (0.9.3-1) unstable; urgency=low

  * New upstream version fixing the catch2 header problem. Since we build for
    stable also, we had to fix the problem with an #if #else include statement
    for the Catch2 header file. Thanks to Andreas Tille for investigating the
    problem (https://salsa.debian.org/tille). The bug that was closed by his
    tentative fix was bug #1054707.

  * Debhelper compat to version = 13.

  * Standards-Version: 4.6.2

  Andreas Tille:
    libodsstream (0.9.1-3) unstable; urgency=medium

    * Team upload.
    * cme fix dpkg-control
    * Port to catch2 v3 (thanks for the hint to Sune Vuorela)
      Closed: #1054707

  -- Andreas Tille <tille@debian.org>  Tue, 07 Nov 2023 15:29:21 +0100

 -- Filippo Rusconi <lopippo@debian.org>  Sat, 18 Nov 2023 14:31:46 +0100

libodsstream (0.9.2-2~bookworm+2) bookworm; urgency=medium

  * bookworm package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 16 Jun 2023 18:59:15 +0200

libodsstream (0.9.2-1~bullseye+1) bullseye; urgency=medium

  * switch to Qt6 for Bullseye

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 17 Mar 2023 11:35:55 +0100

libodsstream (0.9.1-1~bullseye+1) bullseye; urgency=medium

  * bullseye backport.

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 19 Dec 2022 11:40:10 +0100

=== debian/control ===
Source: libodsstream
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: The Debichem Group <debichem-devel@alioth-lists.debian.net>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dpkg-dev(>= 1.16.1.1),
 dh-exec,
 cmake,
 d-shlibs,
 qt6-base-dev,
 libqt6core5compat6-dev, 
 zlib1g-dev,
 libquazip1-qt6-dev,
 doxygen,
 catch2
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debichem-team/libodsstream
Vcs-Git: https://salsa.debian.org/debichem-team/libodsstream.git
Homepage: http://pappso.inrae.fr/bioinfo
Rules-Requires-Root: no

Package: libodsstream0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: libodsstream-qt5-0 (<< 0.7.9-1~)
Replaces: libodsstream-qt5-0 (<< 0.7.9-1~)
Description: C++ library to read or write ODS files
 libodsstream provides a simple way to read and write Open
 Document Spreadsheet files. The hight memory efficiency comes
 from the fact that only streams are used for the read/write
 operations.
 .
 This package contains the shared library.

Package: libodsstream-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libodsstream0 (= ${binary:Version}),
 ${misc:Depends},
 qt6-base-dev,
 libqt6core5compat6-dev, 
 zlib1g-dev,
 libquazip1-qt6-dev,
Breaks: libodsstream-qt5-dev (<< 0.7.9-1~)
Replaces: libodsstream-qt5-dev (<< 0.7.9-1~)
Description: C++ library to read or write ODS files (development files)
 libodsstream provides a simple way to read and write Open
 Document Spreadsheet files. The hight memory efficiency comes
 from the fact that only streams are used for the read/write
 operations.
 .
 This package contains the header files of the library.

Package: libodsstream-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: doxygen documentation of the ODSstream library
 libodsstream provides a simple way to read and write Open
 Document Spreadsheet files. The hight memory efficiency comes
 from the fact that only streams are used for the read/write
 operations.
 .
 This package contains the developer documentation.

Package: ods2tsv
Architecture: any
Section: text
Depends: ${shlibs:Depends},
         libodsstream0 (= ${binary:Version}),
         ${misc:Depends}
Description: ODS to TSV file converter
 Simple command line interface utility that takes one or more ods
 files as input and convert them into tabulated separated value
 (tsv simple text files).  Each ods file will create an output
 directory of the same name, containing all the spreadsheets
 (one tsv file per spreadsheet).

## libodsstream 0.9.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,12 +9,12 @@
 ############################################################
 # Basic information about project
 
-set(PROJECT odsstream)
+set(PROJECT libodsstream)
 project(${PROJECT} CXX C)
 
 set(LIBODSSTREAM_VERSION_MAJOR "0")
 set(LIBODSSTREAM_VERSION_MINOR "9")
-set(LIBODSSTREAM_VERSION_PATCH "6")
+set(LIBODSSTREAM_VERSION_PATCH "7")
 set(LIBODSSTREAM_LIB_NAME "libodsstream")
 set(LIBODSSTREAM_VERSION "${LIBODSSTREAM_VERSION_MAJOR}.${LIBODSSTREAM_VERSION_MINOR}.${LIBODSSTREAM_VERSION_PATCH}")
 set(LIBODSSTREAM_LIB_VERSION ${LIBODSSTREAM_VERSION})
@@ -105,7 +105,7 @@
   # Run the following cmake command line:
   # x86_64-w64-mingw32.shared-cmake -DCMAKE_BUILD_TYPE=Release -DMXE=1 ../development
   #include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain.cmake)
-  include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain-olivier.cmake)
+  include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain.cmake)
 
   # Set the name to the systemUname variable because in this situation that name
   # is not found, it it passed as a flag in the command line.
@@ -170,6 +170,23 @@
 message(STATUS "${BoldYellow}CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}.${ColourReset}")
 
 
+#############################################################
+###########################
+# CREATE THE SOURCE PACKAGE
+include(${CMAKE_UTILS_PATH}/targz-source-package-creation.cmake)
+
+add_custom_target(archive
+  cpack -G TGZ --config CPackSourceConfig.cmake && mv
+  ${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}-${LIBODSSTREAM_VERSION}.tar.gz
+  ${CMAKE_SOURCE_DIR}/../tarballs && ln -sf
+  ${CMAKE_SOURCE_DIR}/../tarballs/${CMAKE_PROJECT_NAME}-${LIBODSSTREAM_VERSION}.tar.gz
+  ${CMAKE_SOURCE_DIR}/../${CMAKE_PROJECT_NAME}_${LIBODSSTREAM_VERSION}.orig.tar.gz && ln -sf
+  ${CMAKE_SOURCE_DIR}/../tarballs/${CMAKE_PROJECT_NAME}-${LIBODSSTREAM_VERSION}.tar.gz
+  ${CMAKE_SOURCE_DIR}/../tarballs/${CMAKE_PROJECT_NAME}_${LIBODSSTREAM_VERSION}.orig.tar.gz
+
+  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
+  COMMENT "Creating .tar.gz" VERBATIM
+)
 
 set(CPACK_CMAKE_GENERATOR "Unix Makefiles")
 set(CPACK_GENERATOR "STGZ;TGZ;TZ")
@@ -196,7 +213,7 @@
 set(CPACK_SOURCE_PACKAGE_FILE_NAME "libodsstream-${LIBODSSTREAM_VERSION}")
 
 
-set(CPACK_SOURCE_IGNORE_FILES 
+set(CPACK_SOURCE_IGNORE_FILES
   ".cache"
   ".*\\\.swp"
   ".*\\\.swo"
@@ -225,7 +242,6 @@
   "/.git/"
   "/\\\\.kdev4/"
   "/\\\\.settings/"
-  ".gitignore"
   "\\\\.cdtbuild"
   "\\\\.cdtproject"
   "\\\\.project"
@@ -244,7 +260,7 @@
   "OpenDocument-v1.0-os.pdf"
 )
 # to create a TGZ archive of the  source code type shell command
-# cpack -G TGZ --config CPackSourceConfig.cmake 
+# cpack -G TGZ --config CPackSourceConfig.cmake
 
 # dpkg-buildpackage -rfakeroot -k7BEF3B25
 
@@ -289,7 +305,7 @@
 set(DEBIAN_PACKAGE_BUILDS_DEPENDS "Olivier Langella <olivier.langella@u-psud.fr>")
 
 
-include(CPack)
+# include(CPack)
 
 add_subdirectory (src)

=== test/CMakeLists.txt ===
# CMake script for PAPPSOms++ library # Author: Olivier Langella # Created: 03/03/2015 from the CMakeLists file of the Bio++ project #CTEST_OUTPUT_ON_FAILURE=TRUE make test
#make test ARGS="-V"

  # When running tests we necessarily have to document the location of the
  # libraries that were built locally.
set(OdsStream_FOUND 1)
set(OdsStream_INCLUDE_DIRS "${CMAKE_SOURCE_DIR}/src")
set(OdsStream_LIBRARY "${CMAKE_BINARY_DIR}/src/libodsstream.so")
    add_library(OdsStream::Core UNKNOWN IMPORTED)
    set_target_properties(OdsStream::Core PROPERTIES
        IMPORTED_LOCATION             "${OdsStream_LIBRARY}"
        INTERFACE_INCLUDE_DIRECTORIES "${OdsStream_INCLUDE_DIRS}"
    )


  message("${OdsStream_INCLUDE_DIRS}")
  message("${OdsStream_LIBRARY}")

configure_file (config.h.cmake ${CMAKE_SOURCE_DIR}/test/config.h)


find_package(Qt6 COMPONENTS Core Xml Gui REQUIRED)

find_package(Catch2 REQUIRED)

message(STATUS "For running the tests, use library: ${OdsStream_LIBRARY}")


add_executable(test_ods test_ods.cpp metadataodsreader.cpp)
target_link_libraries(test_ods
  ${OdsStream_LIBRARY}
  Catch2::Catch2
  Catch2::Catch2WithMain
  Qt6::Core
  Qt6::Gui
  QuaZip::QuaZip
  )
target_include_directories(test_ods PUBLIC
  ${OdsStream_INCLUDE_DIRS}
)
add_test(test_ods "test_ods")


add_executable(test_tsv test_tsv.cpp )
target_link_libraries(test_tsv
  ${OdsStream_LIBRARY}
  Catch2::Catch2
  Catch2::Catch2WithMain
  Qt6::Core
  Qt6::Gui
  QuaZip::QuaZip
)
target_include_directories(test_tsv PUBLIC
  ${OdsStream_INCLUDE_DIRS}
)
add_test(test_tsv "test_tsv")


add_executable(test_zlib test_zlib.cpp)
target_link_libraries(test_zlib
  ${OdsStream_LIBRARY}
  Catch2::Catch2
  Catch2::Catch2WithMain
  Qt6::Core
  QuaZip::QuaZip
)
target_include_directories(test_zlib PUBLIC
  ${OdsStream_INCLUDE_DIRS}
)
add_test(test_zlib "test_zlib")

=== debian/changelog ===
libodsstream (0.9.7-1) unstable; urgency=low

  * New upstream version.

  * Some cleanup, with git repos removal of files that are generated.

  * This package does not need t64 transition processing, although it
    reverse-depends on affected libquazip1-qt6 (no changes needed
    because the required package is a -dev package).

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 07 Feb 2024 14:17:08 +0100

libodsstream (0.9.6-1~bookworm+1) bookworm; urgency=medium

  * catch up with the official debian package version

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 20 Dec 2023 12:26:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libodsstream
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: The Debichem Group <debichem-devel@alioth-lists.debian.net>
+Maintainer: The Debichem Group <debichem-devel@alioth-lists.debian.net>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
 Section: libs
 Priority: optional
@@ -9,12 +8,14 @@
  dh-exec,
  cmake,
  d-shlibs,
+ libxkbcommon-x11-dev,
  qt6-base-dev,
- libqt6core5compat6-dev, 
+ libqt6core5compat6-dev,
  zlib1g-dev,
  libquazip1-qt6-dev,
  doxygen,
- catch2
+ catch2,
+ texlive-font-utils
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debichem-team/libodsstream
 Vcs-Git: https://salsa.debian.org/debichem-team/libodsstream.git
@@ -43,7 +44,7 @@
 Depends: libodsstream0 (= ${binary:Version}),
  ${misc:Depends},
  qt6-base-dev,
- libqt6core5compat6-dev, 
+ libqt6core5compat6-dev,
  zlib1g-dev,
  libquazip1-qt6-dev,
 Breaks: libodsstream-qt5-dev (<< 0.7.9-1~)

=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-

# Include for DEB_VERSION_UPSTREAM below
include /usr/share/dpkg/pkg-info.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

# For automating the d/*.links stuff.
export LIBODSSTREAM_VERSION=$(DEB_VERSION_UPSTREAM)
export LIBODSSTREAM_SOVERSION=0


%:
	dh $@ --buildsystem=cmake


override_dh_clean:
	dh_clean


override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_BUILD_TYPE=Release \
		-DMAKE_TEST=1 \
		-DCMAKE_SKIP_RPATH=0


override_dh_auto_build:
	dh_auto_build --no-parallel
	dh_auto_build -- doc
	dh_auto_test

## libodsstream 0.9.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 set(LIBODSSTREAM_VERSION_MAJOR "0")
 set(LIBODSSTREAM_VERSION_MINOR "9")
-set(LIBODSSTREAM_VERSION_PATCH "7")
+set(LIBODSSTREAM_VERSION_PATCH "9")
 set(LIBODSSTREAM_LIB_NAME "libodsstream")
 set(LIBODSSTREAM_VERSION "${LIBODSSTREAM_VERSION_MAJOR}.${LIBODSSTREAM_VERSION_MINOR}.${LIBODSSTREAM_VERSION_PATCH}")
 set(LIBODSSTREAM_LIB_VERSION ${LIBODSSTREAM_VERSION})
@@ -72,8 +72,8 @@
 endif()
 
 
-# We want C++17
-set(CMAKE_CXX_STANDARD 17)
+# We want C++20
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 message(STATUS "${BoldGreen}CMAKE_CXX_COMPILER: ${CMAKE_CXX_COMPILER}${ColourReset}")
 
@@ -304,8 +304,7 @@
 set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Olivier Langella <olivier.langella@u-psud.fr>")
 set(DEBIAN_PACKAGE_BUILDS_DEPENDS "Olivier Langella <olivier.langella@u-psud.fr>")
 
-
-# include(CPack)
+include(CPack)
 
 add_subdirectory (src)
 
@@ -320,6 +319,15 @@
 
 add_custom_target(deb
   ln -s libodsstream-${LIBODSSTREAM_VERSION}.tar.gz libodsstream_${LIBODSSTREAM_VERSION}.orig.tar.gz && cd libodsstream-${LIBODSSTREAM_VERSION} && dpkg-buildpackage -sa
+  DEPENDS targz
+  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
+  COMMENT "Creating Debian package" VERBATIM
+)
+
+
+
+add_custom_target(debsrc
+  ln -s libodsstream-${LIBODSSTREAM_VERSION}.tar.gz libodsstream_${LIBODSSTREAM_VERSION}.orig.tar.gz && cd libodsstream-${LIBODSSTREAM_VERSION} && debuild -S -sa
   DEPENDS targz
   WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
   COMMENT "Creating Debian package" VERBATIM
@@ -360,13 +368,3 @@
 
 include(CMakePackageConfigHelpers)
 
-configure_package_config_file(${CMAKE_SOURCE_DIR}/CMakeStuff/modules/OdsStreamConfig.cmake.in
-  "${CMAKE_CURRENT_BINARY_DIR}/OdsStreamConfig.cmake"
-  INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/odsstream)
-
-install(FILES
-  "${CMAKE_CURRENT_BINARY_DIR}/OdsStreamConfig.cmake"
-  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/odsstream)
-
-
-

## libodsstream 0.9.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 set(LIBODSSTREAM_VERSION_MAJOR "0")
 set(LIBODSSTREAM_VERSION_MINOR "9")
-set(LIBODSSTREAM_VERSION_PATCH "9")
+set(LIBODSSTREAM_VERSION_PATCH "12")
 set(LIBODSSTREAM_LIB_NAME "libodsstream")
 set(LIBODSSTREAM_VERSION "${LIBODSSTREAM_VERSION_MAJOR}.${LIBODSSTREAM_VERSION_MINOR}.${LIBODSSTREAM_VERSION_PATCH}")
 set(LIBODSSTREAM_LIB_VERSION ${LIBODSSTREAM_VERSION})
@@ -105,7 +105,7 @@
   # Run the following cmake command line:
   # x86_64-w64-mingw32.shared-cmake -DCMAKE_BUILD_TYPE=Release -DMXE=1 ../development
   #include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain.cmake)
-  include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain.cmake)
+  include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain-olivier.cmake)
 
   # Set the name to the systemUname variable because in this situation that name
   # is not found, it it passed as a flag in the command line.

## libodsstream 0.9.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 set(LIBODSSTREAM_VERSION_MAJOR "0")
 set(LIBODSSTREAM_VERSION_MINOR "9")
-set(LIBODSSTREAM_VERSION_PATCH "12")
+set(LIBODSSTREAM_VERSION_PATCH "13")
 set(LIBODSSTREAM_LIB_NAME "libodsstream")
 set(LIBODSSTREAM_VERSION "${LIBODSSTREAM_VERSION_MAJOR}.${LIBODSSTREAM_VERSION_MINOR}.${LIBODSSTREAM_VERSION_PATCH}")
 set(LIBODSSTREAM_LIB_VERSION ${LIBODSSTREAM_VERSION})
@@ -173,21 +173,6 @@
 #############################################################
 ###########################
 # CREATE THE SOURCE PACKAGE
-include(${CMAKE_UTILS_PATH}/targz-source-package-creation.cmake)
-
-add_custom_target(archive
-  cpack -G TGZ --config CPackSourceConfig.cmake && mv
-  ${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}-${LIBODSSTREAM_VERSION}.tar.gz
-  ${CMAKE_SOURCE_DIR}/../tarballs && ln -sf
-  ${CMAKE_SOURCE_DIR}/../tarballs/${CMAKE_PROJECT_NAME}-${LIBODSSTREAM_VERSION}.tar.gz
-  ${CMAKE_SOURCE_DIR}/../${CMAKE_PROJECT_NAME}_${LIBODSSTREAM_VERSION}.orig.tar.gz && ln -sf
-  ${CMAKE_SOURCE_DIR}/../tarballs/${CMAKE_PROJECT_NAME}-${LIBODSSTREAM_VERSION}.tar.gz
-  ${CMAKE_SOURCE_DIR}/../tarballs/${CMAKE_PROJECT_NAME}_${LIBODSSTREAM_VERSION}.orig.tar.gz
-
-  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
-  COMMENT "Creating .tar.gz" VERBATIM
-)
-
 set(CPACK_CMAKE_GENERATOR "Unix Makefiles")
 set(CPACK_GENERATOR "STGZ;TGZ;TZ")
 set(CPACK_OUTPUT_CONFIG_FILE "./CPackConfig.cmake")
@@ -215,8 +200,8 @@
 
 set(CPACK_SOURCE_IGNORE_FILES
   ".cache"
-  ".*\\\.swp"
-  ".*\\\.swo"
+  ".*\\\\.swp"
+  ".*\\\\.swo"
   ".*\\\\.tar\\\\.gz"
   "moc_.*cxx"
   "\\\\.#.*"
@@ -226,6 +211,7 @@
   ".*\\\\.log"
   ".*\\\\.out"
   ".*\\\\.toc"
+  "Session\\\\.vim"
   "/devel_archives/"
   "/doc\\\\/html/"
   "/doc\\\\/latex/"
@@ -239,7 +225,10 @@
   "/Release/"
   "/tests/"
   "/\\\\.externalToolBuilders/"
-  "/.git/"
+  "/\\\\.git/"
+  "\\\\.gitattributes"
+  "\\\\cache/"
+  "development\\\\.kdev4"
   "/\\\\.kdev4/"
   "/\\\\.settings/"
   "\\\\.cdtbuild"
@@ -368,3 +357,18 @@
 
 include(CMakePackageConfigHelpers)
 
+configure_package_config_file(${CMAKE_SOURCE_DIR}/CMakeStuff/modules/OdsStreamConfig.cmake.in
+  "${CMAKE_CURRENT_BINARY_DIR}/OdsStreamConfig.cmake"
+  INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/odsstream)
+
+install(FILES
+  "${CMAKE_CURRENT_BINARY_DIR}/OdsStreamConfig.cmake"
+  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/odsstream)
+
+
+include(${CMAKE_UTILS_PATH}/targz-source-package-creation.cmake)
+
+add_custom_target(archive
+  cpack -G TGZ --config CPackSourceConfig.cmake && mv
+  ${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}-${LIBODSSTREAM_VERSION}.tar.gz
+  ${CMAKE_SOURCE_DIR}/../tarballs && ln -sf

=== debian/changelog ===
libodsstream (0.9.13-1) unstable; urgency=low

  * New version to make Debian package.
  * Builds fine in sid with gcc 15 (Closes: #1097240).

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 08 Sep 2025 10:14:44 +0200

libodsstream (0.9.12-1~bookworm+1) bookworm; urgency=medium

  * Catch up with new debian package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 26 Jun 2025 10:54:28 +0200

libodsstream (0.9.12-1) unstable; urgency=low

  * New version to make Debian package.
  * Builds fine in sid with gcc 15 (Closes: #1097240).

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 07 Sep 2025 18:25:57 +0200

libodsstream (0.9.11-1~bookworm+1) bookworm; urgency=medium

  * Bump version reprepro reference problem

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 11 Mar 2025 11:39:35 +0100

libodsstream (0.9.9-1~bookworm+1) bookworm; urgency=medium

  * Move from C++17 to C++20
  * Cmake configuration sets OdsStream_FOUND to true

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 11 Mar 2025 10:48:17 +0100

libodsstream (0.9.8-1~bookworm+1) bookworm; urgency=medium

  * Bump version for PPA

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 03 Jun 2024 19:07:07 +0200

libodsstream (0.9.7-1~bookworm+1) bookworm; urgency=medium

  * Fixed problem generating Zip archive containing tsv files
  * Calc writer interface including QVariant support

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 13 Apr 2024 18:58:47 +0200

## libodsstream 0.9.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 set(LIBODSSTREAM_VERSION_MAJOR "0")
 set(LIBODSSTREAM_VERSION_MINOR "9")
-set(LIBODSSTREAM_VERSION_PATCH "13")
+set(LIBODSSTREAM_VERSION_PATCH "14")
 set(LIBODSSTREAM_LIB_NAME "libodsstream")
 set(LIBODSSTREAM_VERSION "${LIBODSSTREAM_VERSION_MAJOR}.${LIBODSSTREAM_VERSION_MINOR}.${LIBODSSTREAM_VERSION_PATCH}")
 set(LIBODSSTREAM_LIB_VERSION ${LIBODSSTREAM_VERSION})
@@ -35,6 +35,7 @@
 set(CMAKE_MODULE_PATH ${CMAKE_UTILS_PATH}/modules)
 #message("CMAKE_MODULE_PATH:" ${CMAKE_MODULE_PATH})
 
+configure_file(${CMAKE_UTILS_PATH}/version.cmake.in ${CMAKE_BINARY_DIR}/version.txt)
 
 # This include must come before all the others
 # It must include the config-generated config.h file
@@ -247,44 +248,8 @@
   "buildwin32.cmd"
   "libodsstream.so"
   "OpenDocument-v1.0-os.pdf"
-)
-# to create a TGZ archive of the  source code type shell command
-# cpack -G TGZ --config CPackSourceConfig.cmake
-
-# dpkg-buildpackage -rfakeroot -k7BEF3B25
-
-#.dput.cf
-#[olivier-langella]
-#fqdn = ppa.launchpad.net
-#method = ftp
-#incoming = ~olivier-langella/ubuntu/
-#login = olivier-langella
-#allow_unsigned_uploads = 0
-#
-#  debuild -S -sa
-# dput -f olivier-langella *changes
-
-
-#dch -Dstretch "message"
-#cmake ..
-#make deb
-# scp libodsstream* proteus:/var/www/apt/incoming
-# scp ods2tsv* proteus:/var/www/apt/incoming
-# reprepro -Vb /var/www/apt processincoming default
-
-
-#dpkg-deb -x libodsstream-qt4_0.3.0-3_amd64.deb libodsstream-qt4_0.3.0-3
-#dpkg-gensymbols -v0 -plibodsstream-qt4 -Plibodsstream-qt4_0.3.0-3 -Osymbols
-#cp symbols ../debian/libodsstream-qt4.symbols
-#dpkg-deb -x libodsstream-qt5_0.3.0-3_amd64.deb libodsstream-qt5_0.3.0-3
-#dpkg-gensymbols -v0 -plibodsstream-qt5 -Plibodsstream-qt5_0.3.0-3 -Osymbols
-#cp symbols ../debian/libodsstream-qt5.symbols
-
-#MESSAGE("configuring file ${LIBODSSTREAM_SOURCE_DIR}/src/config.h.cmake")
-
-#configure_file (${LIBODSSTREAM_SOURCE_DIR}/src/config.h.cmake ${LIBODSSTREAM_SOURCE_DIR}/src/config.h)
-
-
+  "compile_commands.json"
+)
 
 set(CPACK_PACKAGE_EXECUTABLES "libodsstream" "libodsstream")
 
@@ -372,3 +337,13 @@
   cpack -G TGZ --config CPackSourceConfig.cmake && mv
   ${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}-${LIBODSSTREAM_VERSION}.tar.gz
   ${CMAKE_SOURCE_DIR}/../tarballs && ln -sf
+  ${CMAKE_SOURCE_DIR}/../tarballs/${CMAKE_PROJECT_NAME}-${LIBODSSTREAM_VERSION}.tar.gz
+  ${CMAKE_SOURCE_DIR}/../${CMAKE_PROJECT_NAME}_${LIBODSSTREAM_VERSION}.orig.tar.gz && ln -sf
+  ${CMAKE_SOURCE_DIR}/../tarballs/${CMAKE_PROJECT_NAME}-${LIBODSSTREAM_VERSION}.tar.gz
+  ${CMAKE_SOURCE_DIR}/../tarballs/${CMAKE_PROJECT_NAME}_${LIBODSSTREAM_VERSION}.orig.tar.gz
+
+  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
+  COMMENT "Creating .tar.gz" VERBATIM
+)
+
+

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
   message("${OdsStream_INCLUDE_DIRS}")
   message("${OdsStream_LIBRARY}")
 
-configure_file (config.h.cmake ${CMAKE_SOURCE_DIR}/test/config.h)
+  configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 
 
 find_package(Qt6 COMPONENTS Core Xml Gui REQUIRED)
@@ -24,7 +24,6 @@
 find_package(Catch2 REQUIRED)
 
 message(STATUS "For running the tests, use library: ${OdsStream_LIBRARY}")
-
 
 add_executable(test_ods test_ods.cpp metadataodsreader.cpp)
 target_link_libraries(test_ods
@@ -37,6 +36,7 @@
   )
 target_include_directories(test_ods PUBLIC
   ${OdsStream_INCLUDE_DIRS}
+  ${CMAKE_CURRENT_BINARY_DIR}
 )
 add_test(test_ods "test_ods")
 
@@ -52,6 +52,7 @@
 )
 target_include_directories(test_tsv PUBLIC
   ${OdsStream_INCLUDE_DIRS}
+  ${CMAKE_CURRENT_BINARY_DIR}
 )
 add_test(test_tsv "test_tsv")
 
@@ -66,5 +67,6 @@
 )
 target_include_directories(test_zlib PUBLIC
   ${OdsStream_INCLUDE_DIRS}
+  ${CMAKE_CURRENT_BINARY_DIR}
 )
 add_test(test_zlib "test_zlib")

=== debian/changelog ===
libodsstream (0.9.14-1) unstable; urgency=low

  * New upstream version fixing tests build.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 15 Sep 2025 09:54:47 +0200

## libodsstream 0.9.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 set(LIBODSSTREAM_VERSION_MAJOR "0")
 set(LIBODSSTREAM_VERSION_MINOR "9")
-set(LIBODSSTREAM_VERSION_PATCH "14")
+set(LIBODSSTREAM_VERSION_PATCH "15")
 set(LIBODSSTREAM_LIB_NAME "libodsstream")
 set(LIBODSSTREAM_VERSION "${LIBODSSTREAM_VERSION_MAJOR}.${LIBODSSTREAM_VERSION_MINOR}.${LIBODSSTREAM_VERSION_PATCH}")
 set(LIBODSSTREAM_LIB_VERSION ${LIBODSSTREAM_VERSION})
@@ -272,7 +272,7 @@
 
 
 add_custom_target(deb
-  ln -s libodsstream-${LIBODSSTREAM_VERSION}.tar.gz libodsstream_${LIBODSSTREAM_VERSION}.orig.tar.gz && cd libodsstream-${LIBODSSTREAM_VERSION} && dpkg-buildpackage -sa
+  ln -s libodsstream-${LIBODSSTREAM_VERSION}.tar.gz libodsstream_${LIBODSSTREAM_VERSION}.orig.tar.gz && cd libodsstream-${LIBODSSTREAM_VERSION} && dpkg-buildpackage -B
   DEPENDS targz
   WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
   COMMENT "Creating Debian package" VERBATIM

=== Makefile ===

all: 
	cd ../build-area/unix && make 

.PHONY: clean
clean:
	cd ../build-area/unix && make clean

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 configure_file (${CMAKE_SOURCE_DIR}/src/odsstream/config.h.cmake ${CMAKE_SOURCE_DIR}/src/odsstream/config.h)
 
 
-set(CPP_FILES 
+set(CPP_FILES
   odsstream/reader/odscell.cpp
-  odsstream/odsexception.h 
+  odsstream/odsexception.h
   odsstream/saxreader/qxmlstreamreadercontentxml.cpp
   odsstream/odsdocreader.cpp
   odsstream/writer/options/odscolorscale.cpp
@@ -15,6 +15,7 @@
   odsstream/writer/structure/metaxml.cpp
   odsstream/writer/structure/settingsxml.cpp
   odsstream/writer/structure/manifestxml.cpp
+  odsstream/calcwriterinterface.cpp
   odsstream/odsdocwriter.cpp
   odsstream/qtablewriter.cpp
   odsstream/tsvdirectorywriter.cpp
@@ -25,11 +26,11 @@
 
 
 
-set(ODS2CSV_CPP_FILES 
+set(ODS2CSV_CPP_FILES
   ods2csv.cpp
 )
 
-set(TSV2ODS_CPP_FILES 
+set(TSV2ODS_CPP_FILES
   tsv2ods.cpp
 )
 
@@ -39,7 +40,7 @@
 
 message ("LIBODSSTREAM_LIB_SOVERSION: ${LIBODSSTREAM_LIB_SOVERSION}")
 
-find_package(Qt6 COMPONENTS Gui Xml REQUIRED)
+find_package(Qt6 COMPONENTS Core5Compat Gui Xml REQUIRED)
 
 # Build the static lib
 add_library(odsstream-static STATIC ${CPP_FILES})
@@ -93,7 +94,7 @@
 
 # Install static lib
 
-install(TARGETS odsstream-static 
+install(TARGETS odsstream-static
   ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
 
 add_executable(ods2csv ${ODS2CSV_CPP_FILES})
@@ -107,7 +108,7 @@
   CLEAN_DIRECT_OUTPUT 1
 )
 
-target_link_libraries(ods2csv 
+target_link_libraries(ods2csv
   Core
   Qt6::Core
   Qt6::Gui
@@ -129,7 +130,7 @@
 )
 
 
-target_link_libraries(tsv2ods 
+target_link_libraries(tsv2ods
   Core
   Qt6::Core
   Qt6::Gui
@@ -140,7 +141,7 @@
 
 
 # Install headers
-install(DIRECTORY odsstream/ DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/odsstream 
+install(DIRECTORY odsstream/ DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/odsstream
   FILES_MATCHING PATTERN "*.h"
   PATTERN "*.hpp")

=== test/CMakeLists.txt ===
# CMake script for PAPPSOms++ library # Author: Olivier Langella # Created: 03/03/2015 from the CMakeLists file of the Bio++ project #CTEST_OUTPUT_ON_FAILURE=TRUE make test
#make test ARGS="-V"

# When running tests we necessarily have to document the location of the
# libraries that were built locally.
set(OdsStream_FOUND 1)
set(OdsStream_INCLUDE_DIRS "${CMAKE_SOURCE_DIR}/src")
set(OdsStream_LIBRARY "${CMAKE_BINARY_DIR}/src/libodsstream.so")
add_library(
    OdsStream::Core UNKNOWN IMPORTED
)
set_target_properties(
    OdsStream::Core PROPERTIES IMPORTED_LOCATION "${OdsStream_LIBRARY}" INTERFACE_INCLUDE_DIRECTORIES
                                                                        "${OdsStream_INCLUDE_DIRS}"
)

message("${OdsStream_INCLUDE_DIRS}")
message("${OdsStream_LIBRARY}")

configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

find_package(
    Qt6
    COMPONENTS Core Xml Gui
    REQUIRED
)

find_package(Catch2 REQUIRED)

message(STATUS "For running the tests, use library: ${OdsStream_LIBRARY}")

add_executable(
    test_ods
    metadataodsreader.cpp test_ods.cpp
)
target_link_libraries(
    test_ods
    ${OdsStream_LIBRARY}
    Catch2::Catch2
    Catch2::Catch2WithMain
    Qt6::Core
    Qt6::Gui
    QuaZip::QuaZip
)
target_include_directories(
    test_ods
    PUBLIC ${OdsStream_INCLUDE_DIRS} ${CMAKE_CURRENT_BINARY_DIR}
)
add_test(test_ods "test_ods")
set_tests_properties(test_ods PROPERTIES ENVIRONMENT "LD_LIBRARY_PATH=${CMAKE_BINARY_DIR}/src")

add_executable(
    test_tsv
    test_tsv.cpp
)
target_link_libraries(
    test_tsv
    ${OdsStream_LIBRARY}
    Catch2::Catch2
    Catch2::Catch2WithMain
    Qt6::Core
    Qt6::Gui
    QuaZip::QuaZip
)
target_include_directories(
    test_tsv
    PUBLIC ${OdsStream_INCLUDE_DIRS} ${CMAKE_CURRENT_BINARY_DIR}
)
add_test(test_tsv "test_tsv")
set_tests_properties(test_tsv PROPERTIES ENVIRONMENT "LD_LIBRARY_PATH=${CMAKE_BINARY_DIR}/src")

add_executable(
    test_zlib
    test_zlib.cpp
)
target_link_libraries(
    test_zlib
    ${OdsStream_LIBRARY}
    Catch2::Catch2
    Catch2::Catch2WithMain
    Qt6::Core
    QuaZip::QuaZip
)
target_include_directories(
    test_zlib
    PUBLIC ${OdsStream_INCLUDE_DIRS} ${CMAKE_CURRENT_BINARY_DIR}
)
add_test(test_zlib "test_zlib")
set_tests_properties(test_zlib PROPERTIES ENVIRONMENT "LD_LIBRARY_PATH=${CMAKE_BINARY_DIR}/src")

=== debian/changelog ===
libodsstream (0.9.15-1) unstable; urgency=low

  * New upstream version with some CMake configuration changes.
  * Add --disable-rpath to cmake config step.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 25 Sep 2025 23:42:23 +0200

libodsstream (0.9.14-3~trixie+1) trixie; urgency=medium

  * Sorry, it is Trixie and not Bookworm

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 22 Sep 2025 09:03:04 +0200

libodsstream (0.9.14-2~bookworm+1) trixie; urgency=medium

  * New package : backport to Trixie

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 20 Sep 2025 08:24:02 +0200

libodsstream (0.9.14-2) unstable; urgency=low

  * Fix debian/shlibs with automated versioning.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 16 Sep 2025 12:54:38 +0200
